# Class FontLineShape

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.FontLineShape

Direct Known Subclasses:
  `Axes, Bbcage, Uccage`

public abstract class FontLineShape extends Shape

## Field Summary

Fields
Modifier and Type
Field
Description
`Font`
`font3d`
`TickInfo[]`
`tickInfos`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`FontLineShape()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getShapeState()`
`void`
`initShape()`
`protected void`
`setPropFLS(String propertyName, Object value)`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initModelSet, replaceGroup, setAtomClickability, setModelSet, setModelVisibilityFlags, setProperties, setProperty, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tickInfos

public TickInfo[] tickInfos

### font3d

public Font font3d

## Constructor Details

### FontLineShape

public FontLineShape()

## Method Details

### initShape

public void initShape()

Specified by:
  `initShape` in class `Shape`

### setPropFLS

protected void setPropFLS(String propertyName, Object value)

### getShapeState

public String getShapeState()

Specified by:
  `getShapeState` in class `Shape`